<ngx-loading [show]="indicatorIsLoadingUpdate$ | async" />

<section class="form-indicator-update">
  <form
    class="form"
    [formGroup]="myForm"
    (ngSubmit)="onSubmit()"
    (keydown.enter)="$event.stopPropagation()"
  >
    <jds-bi-accordion
      #acc="jdsBiAccordion"
      [destroyOnHide]="false"
      [closeOthers]="true"
      [activeIds]="'accordion-indicator-update'"
      [colorScheme]="colorScheme"
      [ngClass]="['accordion-indicator-update']"
    >
      <jds-bi-panel id="accordion-indicator-update">
        <ng-template jdsBiPanelTitle>
          <div [ngClass]="[jds.fs(18), jds.p(20)]">Informasi Indikator</div>
        </ng-template>
        <ng-template jdsBiPanelContent>
          <div [ngClass]="[jds.p(20)]">
            <ng-container *ngIf="indicatorIsLoadingRead$ | async">
              <ng-container *ngFor="let number of [0, 1]">
                <ngx-skeleton-loader
                  [theme]="{
                    width: '40%',
                    'border-radius': '0',
                    height: '20px',
                    'margin-bottom': '10px'
                  }"
                />
                <ngx-skeleton-loader
                  [theme]="{
                    width: '100%',
                    'border-radius': '0',
                    height: '43px',
                    'margin-bottom': '10px'
                  }"
                />
              </ng-container>
            </ng-container>

            <ng-container *ngIf="(indicatorIsLoadingRead$ | async) === false">
              <!-- Judul -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Judul <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <input
                  [colorScheme]="colorScheme"
                  jdsBiInput
                  type="text"
                  placeholder="Contoh : Indeks Keamanan Informasi"
                  formControlName="name"
                />
                <ng-container
                  *ngIf="f.name?.invalid && (f.name?.dirty || f.name?.touched)"
                >
                  <div
                    *ngIf="f.name?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                  <div
                    *ngIf="f.name?.errors.maxlength"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Panjang maksimal 255 karakter
                  </div>
                </ng-container>
              </div>

              <!-- Klasifikasi -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Klasifikasi <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ng-select
                  class="select-tags"
                  [items]="classificationIndicatorData$ | async"
                  [multiple]="true"
                  placeholder="Pilih Klasifikasi"
                  bindLabel="name"
                  formControlName="classification"
                />
                <ng-container
                  *ngIf="
                    f.classification?.invalid &&
                    (f.classification?.dirty || f.classification?.touched)
                  "
                >
                  <div
                    *ngIf="f.classification?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>

              <!-- Kategori -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Kategori <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ng-select
                  #categorySelect
                  [items]="indicatorCategoryData$ | async"
                  bindValue="id"
                  bindLabel="name"
                  placeholder="Pilih Kategori"
                  formControlName="indikator_category_id"
                />
                <ng-container
                  *ngIf="
                    f.indikator_category_id?.invalid &&
                    (f.indikator_category_id?.dirty ||
                      f.indikator_category_id?.touched)
                  "
                >
                  <div
                    *ngIf="f.indikator_category_id?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>

              <!-- Dataset Referensi -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Dataset Pembangun </label>

                <ng-container *ngFor="let id of fid.controls; let i = index">
                  <ng-container [formGroup]="id">
                    <div [ngClass]="[jds.d('flex'), jds.gap(8), jds.mb(8)]">
                      <ng-select
                        id="dataset-reference-{{ i }}"
                        [ngClass]="jds.w('full')"
                        [items]="
                          dataSearchDataset()?.isSuccess
                            ? dataSearchDataset()?.data.list
                            : []
                        "
                        [typeahead]="inputSearchDataset$"
                        [minTermLength]="2"
                        [loading]="dataSearchDataset()?.isFetching"
                        bindLabel="name"
                        placeholder="Jumlah Penduduk ..."
                        formControlName="dataset"
                        typeToSearchText="Inputkan Judul Dataset"
                        loadingText="Loading..."
                      />
                      <div *ngIf="i > 0">
                        <div
                          [ngClass]="[
                            jds.d('flex'),
                            jds.justifyContent('center')
                          ]"
                        >
                          <button
                            [ngClass]="[
                              jds.button,
                              jds.buttonDanger,
                              jds.d('flex'),
                              jds.alignItems('center')
                            ]"
                            (click)="removeDataset(i)"
                            type="button"
                          >
                            <jds-bi-icon
                              [ngClass]="jds.me(8)"
                              name="trash"
                            />
                            <span>Hapus</span>
                          </button>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                </ng-container>

                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonLink,
                    jds.d('flex'),
                    jds.alignItems('center')
                  ]"
                  (click)="addDataset()"
                  type="button"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="circle-plus"
                  />
                  <span>Tambah Dataset</span>
                </button>
              </div>

              <!-- Indikator Terhubung -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Indikator Terhubung </label>

                <ng-container *ngFor="let ic of fic.controls; let i = index">
                  <ng-container [formGroup]="ic">
                    <div [ngClass]="[jds.d('flex'), jds.gap(8), jds.mb(8)]">
                      <ng-select
                        id="indicator-reference-{{ i }}"
                        [ngClass]="jds.w('full')"
                        [items]="
                          dataSearchIndicatorConnect()?.isSuccess
                            ? dataSearchIndicatorConnect()?.data.list
                            : []
                        "
                        [typeahead]="inputSearchIndicatorConnect$"
                        [minTermLength]="2"
                        [loading]="dataSearchIndicatorConnect()?.isFetching"
                        bindLabel="name"
                        placeholder="Persentase ..."
                        formControlName="connect"
                        typeToSearchText="Inputkan Judul Indikator"
                        loadingText="Loading..."
                      />
                      <div *ngIf="i > 0">
                        <div
                          [ngClass]="[
                            jds.d('flex'),
                            jds.justifyContent('center')
                          ]"
                        >
                          <button
                            [ngClass]="[
                              jds.button,
                              jds.buttonDanger,
                              jds.d('flex'),
                              jds.alignItems('center')
                            ]"
                            (click)="removeConnect(i)"
                            type="button"
                          >
                            <jds-bi-icon
                              [ngClass]="jds.me(8)"
                              name="trash"
                            />
                            <span>Hapus</span>
                          </button>
                        </div>
                      </div>
                    </div>
                  </ng-container>
                </ng-container>

                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonLink,
                    jds.d('flex'),
                    jds.alignItems('center')
                  ]"
                  (click)="addConnect()"
                  type="button"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="circle-plus"
                  />
                  <span>Tambah Indikator</span>
                </button>
              </div>

              <!-- Program -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Program </label>

                <ng-container *ngFor="let ip of fip.controls; let i = index">
                  <ng-container [formGroup]="ip">
                    <div [ngClass]="[jds.mb(8)]">
                      <div [ngClass]="[jds.d('flex'), jds.gap(8)]">
                        <ng-select
                          id="indicator-program-{{ i }}"
                          [ngClass]="jds.w('full')"
                          [items]="
                            dataSearchIndicatorProgram()?.isSuccess
                              ? dataSearchIndicatorProgram()?.data.list
                              : []
                          "
                          bindLabel="nama_program"
                          placeholder="Pilih Program"
                          formControlName="program"
                        >
                          <ng-template
                            ng-label-tmp
                            let-item="item"
                          >
                            {{ item.kode_program }} - {{ item.nama_program }}
                          </ng-template>
                          <ng-template
                            ng-option-tmp
                            let-item="item"
                          >
                            {{ item.kode_program }} - {{ item.nama_program }}
                          </ng-template>
                        </ng-select>
                        <div *ngIf="i > 0">
                          <div
                            [ngClass]="[
                              jds.d('flex'),
                              jds.justifyContent('center')
                            ]"
                          >
                            <button
                              [ngClass]="[
                                jds.button,
                                jds.buttonDanger,
                                jds.d('flex'),
                                jds.alignItems('center')
                              ]"
                              (click)="removeProgram(i)"
                              type="button"
                            >
                              <jds-bi-icon
                                [ngClass]="jds.me(8)"
                                name="trash"
                              />
                              <span>Hapus</span>
                            </button>
                          </div>
                        </div>
                      </div>

                      <ng-container
                        *ngIf="
                          ip['controls'].program?.invalid &&
                          (ip['controls'].program?.dirty ||
                            ip['controls'].program?.touched)
                        "
                      >
                        <div
                          *ngIf="ip['controls'].program?.errors.required"
                          [ngClass]="[jds.formText, jds.text('danger')]"
                        >
                          Harus diisi
                        </div>
                      </ng-container>
                    </div>
                  </ng-container>
                </ng-container>

                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonLink,
                    jds.d('flex'),
                    jds.alignItems('center')
                  ]"
                  (click)="addProgram()"
                  type="button"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="circle-plus"
                  />
                  <span>Tambah Program</span>
                </button>
              </div>

              <!-- Data Dasar -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Data Dasar <span [ngClass]="jds.text('danger')">*</span>
                </label>

                <ng-container *ngFor="let ibd of fibd.controls; let i = index">
                  <ng-container [formGroup]="ibd">
                    <div [ngClass]="[jds.mb(8)]">
                      <div [ngClass]="[jds.d('flex'), jds.gap(8)]">
                        <input
                          [colorScheme]="colorScheme"
                          jdsBiInput
                          type="text"
                          placeholder="Contoh: Data dasar"
                          formControlName="basic_data"
                        />

                        <div *ngIf="i > 0">
                          <div
                            [ngClass]="[
                              jds.d('flex'),
                              jds.justifyContent('center')
                            ]"
                          >
                            <button
                              [ngClass]="[
                                jds.button,
                                jds.buttonDanger,
                                jds.d('flex'),
                                jds.alignItems('center')
                              ]"
                              (click)="removeBasicData(i)"
                              type="button"
                            >
                              <jds-bi-icon
                                [ngClass]="jds.me(8)"
                                name="trash"
                              />
                              <span>Hapus</span>
                            </button>
                          </div>
                        </div>
                      </div>

                      <ng-container
                        *ngIf="
                          ibd['controls'].basic_data?.invalid &&
                          (ibd['controls'].basic_data?.dirty ||
                            ibd['controls'].basic_data?.touched)
                        "
                      >
                        <div
                          *ngIf="ibd['controls'].basic_data?.errors.required"
                          [ngClass]="[jds.formText, jds.text('danger')]"
                        >
                          Harus diisi
                        </div>
                      </ng-container>
                    </div>
                  </ng-container>
                </ng-container>

                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonLink,
                    jds.d('flex'),
                    jds.alignItems('center')
                  ]"
                  (click)="addBasicData()"
                  type="button"
                >
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="circle-plus"
                  />
                  <span>Tambah Data Dasar</span>
                </button>
              </div>

              <!-- Rumus -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Rumus <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ckeditor
                  class="ck-satudata"
                  [ngClass]="jds.fs(14)"
                  [editor]="Editor"
                  [config]="EditorConfig"
                  formControlName="rumus"
                ></ckeditor>
                <ng-container
                  *ngIf="
                    f.rumus?.invalid && (f.rumus?.dirty || f.rumus?.touched)
                  "
                >
                  <div
                    *ngIf="f.rumus?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>

              <!-- Satuan -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Satuan <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ng-select
                  [items]="unitData"
                  [addTag]="addUnit"
                  placeholder="Contoh : Poin"
                  bindLabel="name"
                  formControlName="satuan_id"
                />
                <ng-container
                  *ngIf="
                    f.satuan_id?.invalid &&
                    (f.satuan_id?.dirty || f.satuan_id?.touched)
                  "
                >
                  <div
                    *ngIf="f.satuan_id?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>

              <!-- Sumber Data -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Sumber Data </label>
                <input
                  [colorScheme]="colorScheme"
                  jdsBiInput
                  placeholder="Contoh : Sumber Data"
                  type="text"
                  formControlName="source"
                />
              </div>

              <!-- Interpretasi -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Interpretasi </label>
                <input
                  [colorScheme]="colorScheme"
                  jdsBiInput
                  placeholder="Contoh : Interpretasi"
                  type="text"
                  formControlName="interpretation"
                />
              </div>

              <!-- Organisasi -->
              @if (satudataUser.role_name === 'walidata') {
                <div [ngClass]="jds.mb(16)">
                  <label [ngClass]="jds.formLabel">
                    Organisasi <span [ngClass]="jds.text('danger')">*</span>
                  </label>
                  <ng-select
                    #organizationSelect
                    [items]="organizationData$ | async"
                    (ngModelChange)="onSelectedOrganization($event)"
                    (clear)="onClearOrganization()"
                    bindLabel="nama_skpd"
                    bindValue="kode_skpd"
                    placeholder="Pilih Organisasi"
                    formControlName="kode_skpd"
                  />
                  <ng-container
                    *ngIf="
                      f.kode_skpd?.invalid &&
                      (f.kode_skpd?.dirty || f.kode_skpd?.touched)
                    "
                  >
                    <div
                      *ngIf="f.kode_skpd?.errors.required"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Harus diisi
                    </div>
                  </ng-container>
                </div>
              }

              <!-- Bidang -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel"> Bidang </label>
                <ng-select
                  #organizationSubSelect
                  [items]="organizationSubData$ | async"
                  bindLabel="nama_skpdsub"
                  bindValue="kode_skpdsub"
                  placeholder="Pilih Bidang"
                  formControlName="kode_skpd_sub"
                />
              </div>

              <!-- Tanggal Rilis -->
              <div
                [ngClass]="jds.mb(16)"
                [style.width.px]="360"
              >
                <label [ngClass]="jds.formLabel">
                  Tanggal Rilis <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <input
                  [colorScheme]="colorScheme"
                  [ngClass]="jds.py(9)"
                  jdsBiInput
                  type="month"
                  formControlName="datetime"
                />
                <ng-container
                  *ngIf="
                    f.datetime?.invalid &&
                    (f.datetime?.dirty || f.datetime?.touched)
                  "
                >
                  <div
                    *ngIf="f.datetime?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>

              <!-- Kondisi Awal -->
              <div>
                <label [ngClass]="jds.formLabel">
                  Kondisi Awal
                  <span [ngClass]="jds.text('danger')">*</span>
                </label>
              </div>

              @if (indicatorProgressInitialData(); as progressInitial) {
                @switch (progressInitial.status) {
                  @case ('loading') {
                    @for (number of [25, 75, 50]; track $index) {
                      <div class="wrapper-skeleton">
                        <ngx-skeleton-loader
                          [theme]="{
                            width: number + '%',
                            'border-radius': '0',
                            height: '20px',
                            'margin-bottom': '5px'
                          }"
                        />
                      </div>
                    }
                  }
                  @case ('success') {
                    <ng-container
                      *ngFor="let ikaw of fikaw.controls; let i = index"
                    >
                      <ng-container [formGroup]="ikaw">
                        <div [ngClass]="[jds.row, jds.mb(16)]">
                          <div [ngClass]="jds.col(6)">
                            <label [ngClass]="jds.formLabel">
                              Tahun
                              <span [ngClass]="jds.text('danger')">*</span>
                            </label>
                            <input
                              [colorScheme]="colorScheme"
                              jdsBiInput
                              type="text"
                              placeholder="Tahun"
                              formControlName="year"
                            />
                            <ng-container
                              *ngIf="
                                ikaw['controls'].year?.invalid &&
                                (ikaw['controls'].year?.dirty ||
                                  ikaw['controls'].year?.touched)
                              "
                            >
                              <div
                                *ngIf="ikaw['controls'].year?.errors.required"
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Harus diisi
                              </div>
                              <div
                                *ngIf="ikaw['controls'].year?.errors.maxlength"
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Panjang maksimal 255 karakter
                              </div>
                            </ng-container>
                          </div>
                          <div [ngClass]="jds.col(6)">
                            <label [ngClass]="jds.formLabel">
                              Capaian
                              <span [ngClass]="jds.text('danger')">*</span>
                            </label>
                            <input
                              [colorScheme]="colorScheme"
                              jdsBiInput
                              type="text"
                              placeholder="Capaian"
                              formControlName="capaian"
                            />
                            <ng-container
                              *ngIf="
                                ikaw['controls'].capaian?.invalid &&
                                (ikaw['controls'].capaian?.dirty ||
                                  ikaw['controls'].capaian?.touched)
                              "
                            >
                              <div
                                *ngIf="
                                  ikaw['controls'].capaian?.errors.required
                                "
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Harus diisi
                              </div>
                              <div
                                *ngIf="
                                  ikaw['controls'].capaian?.errors.maxlength
                                "
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Panjang maksimal 255 karakter
                              </div>
                            </ng-container>
                          </div>
                        </div>
                      </ng-container>
                    </ng-container>
                  }
                }
              }

              <!-- Tambah Tahun -->
              <div [ngClass]="jds.mb(16)">
                <label [ngClass]="jds.formLabel">
                  Tambah Tahun <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <div [ngClass]="[jds.row]">
                  <div [ngClass]="jds.col(3)">
                    <ng-select
                      #yearInitialSelect
                      [items]="yearData"
                      (change)="onSelectedYearInitial($event)"
                      placeholder="Awal"
                      formControlName="year_initial"
                    />
                    <ng-container
                      *ngIf="
                        f.year_initial?.invalid &&
                        (f.year_initial?.dirty || f.year_initial?.touched)
                      "
                    >
                      <div
                        *ngIf="f.year_initial?.errors.required"
                        [ngClass]="[jds.formText, jds.text('danger')]"
                      >
                        Harus diisi
                      </div>
                    </ng-container>
                  </div>
                  <div [ngClass]="jds.col(3)">
                    <ng-select
                      #yearFinalSelect
                      [items]="yearData"
                      (change)="onSelectedYearFinal($event)"
                      placeholder="Akhir"
                      formControlName="year_final"
                    />
                    <ng-container
                      *ngIf="
                        f.year_final?.invalid &&
                        (f.year_final?.dirty || f.year_final?.touched)
                      "
                    >
                      <div
                        *ngIf="f.year_final?.errors.required"
                        [ngClass]="[jds.formText, jds.text('danger')]"
                      >
                        Harus diisi
                      </div>
                    </ng-container>
                  </div>
                  <div [ngClass]="jds.col(3)">
                    <button
                      [ngClass]="[jds.button, jds.buttonPrimary]"
                      (click)="addFinalCondition()"
                      type="button"
                    >
                      OK
                    </button>
                  </div>
                </div>
              </div>

              @if (indicatorProgressFinalData(); as progressFinal) {
                @switch (progressFinal.status) {
                  @case ('loading') {
                    @for (number of [25, 75, 50, 75]; track $index) {
                      <div class="wrapper-skeleton">
                        <ngx-skeleton-loader
                          [theme]="{
                            width: number + '%',
                            'border-radius': '0',
                            height: '20px',
                            'margin-bottom': '5px'
                          }"
                        />
                      </div>
                    }
                  }
                  @case ('success') {
                    <ng-container
                      *ngFor="let ikak of fikak.controls; let i = index"
                    >
                      <ng-container [formGroup]="ikak">
                        <div [ngClass]="[jds.row, jds.mb(16)]">
                          <div [ngClass]="jds.col(4)">
                            <label [ngClass]="jds.formLabel">
                              Tahun
                              <span [ngClass]="jds.text('danger')">*</span>
                            </label>
                            <input
                              [colorScheme]="colorScheme"
                              jdsBiInput
                              type="text"
                              placeholder="Tahun"
                              formControlName="year"
                            />
                            <ng-container
                              *ngIf="
                                ikak['controls'].year?.invalid &&
                                (ikak['controls'].year?.dirty ||
                                  ikak['controls'].year?.touched)
                              "
                            >
                              <div
                                *ngIf="ikak['controls'].year?.errors.required"
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Harus diisi
                              </div>
                              <div
                                *ngIf="ikak['controls'].year?.errors.maxlength"
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Panjang maksimal 255 karakter
                              </div>
                            </ng-container>
                          </div>
                          <div [ngClass]="jds.col(4)">
                            <label [ngClass]="jds.formLabel">
                              Target
                              <span [ngClass]="jds.text('danger')">*</span>
                            </label>
                            <input
                              [colorScheme]="colorScheme"
                              jdsBiInput
                              type="text"
                              placeholder="Target"
                              formControlName="target"
                            />
                            <ng-container
                              *ngIf="
                                ikak['controls'].target?.invalid &&
                                (ikak['controls'].target?.dirty ||
                                  ikak['controls'].target?.touched)
                              "
                            >
                              <div
                                *ngIf="ikak['controls'].target?.errors.required"
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Harus diisi
                              </div>
                              <div
                                *ngIf="
                                  ikak['controls'].target?.errors.maxlength
                                "
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Panjang maksimal 255 karakter
                              </div>
                            </ng-container>
                          </div>
                          <div [ngClass]="jds.col(4)">
                            <label [ngClass]="jds.formLabel">
                              Capaian
                              <span [ngClass]="jds.text('danger')">*</span>
                            </label>
                            <input
                              [colorScheme]="colorScheme"
                              jdsBiInput
                              type="text"
                              placeholder="Capaian"
                              formControlName="capaian"
                            />
                            <ng-container
                              *ngIf="
                                ikak['controls'].capaian?.invalid &&
                                (ikak['controls'].capaian?.dirty ||
                                  ikak['controls'].capaian?.touched)
                              "
                            >
                              <div
                                *ngIf="
                                  ikak['controls'].capaian?.errors.required
                                "
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Harus diisi
                              </div>
                              <div
                                *ngIf="
                                  ikak['controls'].capaian?.errors.maxlength
                                "
                                [ngClass]="[jds.formText, jds.text('danger')]"
                              >
                                Panjang maksimal 255 karakter
                              </div>
                            </ng-container>
                          </div>
                        </div>
                      </ng-container>
                    </ng-container>
                  }
                }
              }
            </ng-container>
          </div>
        </ng-template>
      </jds-bi-panel>
    </jds-bi-accordion>

    @if (isIndicatorChange) {
      <div [ngClass]="[jds.card, jds.mt(24)]">
        <div [ngClass]="jds.cardBody">
          <div [ngClass]="[jds.px(20), jds.py(10)]">
            <label [ngClass]="jds.formLabel">
              Berikan informasi terkait perubahan yang dilakukan pada indikator
              ini
            </label>
            <div [ngClass]="[jds.alert, jds.alertPrimary, jds.mb(12)]">
              <div [ngClass]="[jds.d('flex')]">
                <div [ngClass]="jds.alertIcon">
                  <jds-bi-icon
                    [ngClass]="jds.me(8)"
                    name="circle-info"
                  />
                </div>
                <div>Contoh: Melakukan perubahan pada judul indikator.</div>
              </div>
            </div>
            <textarea
              [colorScheme]="colorScheme"
              jdsBiInput
              placeholder="Tuliskan catatan perubahan pada indikator disini"
              rows="5"
              formControlName="change"
            ></textarea>
            <ng-container
              *ngIf="
                f.change?.invalid && (f.change?.dirty || f.change?.touched)
              "
            >
              <div
                *ngIf="f.change?.errors.required"
                [ngClass]="[jds.formText, jds.text('danger')]"
              >
                Harus diisi
              </div>
              <div
                *ngIf="f.change?.errors.minlength"
                [ngClass]="[jds.formText, jds.text('danger')]"
              >
                Panjang minimal 15 karakter.
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    }

    <div
      [ngClass]="[
        jds.d('flex'),
        jds.justifyContent('end'),
        jds.mt(32),
        jds.mb(10)
      ]"
    >
      <button
        [ngClass]="[jds.button, jds.buttonPrimary, jds.ms(16)]"
        [disabled]="!myForm.valid"
        type="submit"
        name="next"
      >
        Selanjutnya
      </button>
    </div>
  </form>
</section>
